package de.intevation.gnv.artifactdatabase.objects;

import java.util.Collection;
import java.util.Map;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public interface ParametrizedArtifactObject extends ArtifactObject {

    /**
     * Returns the Parameters which could be used to manage (e.g. create) an
     * ArtifactObject.
     * @return a map storing parameters.
     */
    Map<String, Collection<String>> getParameters();

    /**
     * Add a further parameter to the parameter map.
     *
     * @param key
     * @param values
     */
    void addParameters(String key, Collection<String> values);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :